Skip to main content
GET
/
reference-data
/
snapshots
/
{datasetKey}
List available snapshots for a reference dataset
curl --request GET \
  --url https://api.artu.ai/reference-data/snapshots/{datasetKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "datasetKey": "<string>",
    "recordCount": 0,
    "contentHash": "<string>",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

datasetKey
string
required
Minimum string length: 1

Response

200 - application/json

OK

id
string<uuid>
required
datasetKey
string
required
recordCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
contentHash
string | null
required
metadata
object
required
createdAt
string<date-time>
required